pkgsrc-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[pkgsrc/trunk]: pkgsrc/mk/check Fixed the SKIP_FILTER command so that NetBSD'...



details:   https://anonhg.NetBSD.org/pkgsrc/rev/d2db1c2c9772
branches:  trunk
changeset: 521329:d2db1c2c9772
user:      rillig <rillig%pkgsrc.org@localhost>
date:      Thu Nov 09 14:41:18 2006 +0000

description:
Fixed the SKIP_FILTER command so that NetBSD's ksh can handle it as well.

diffstat:

 mk/check/check-headers.mk |  4 ++--
 mk/check/check-headers.sh |  8 +++++---
 2 files changed, 7 insertions(+), 5 deletions(-)

diffs (45 lines):

diff -r 71330f76e171 -r d2db1c2c9772 mk/check/check-headers.mk
--- a/mk/check/check-headers.mk Thu Nov 09 14:36:18 2006 +0000
+++ b/mk/check/check-headers.mk Thu Nov 09 14:41:18 2006 +0000
@@ -1,4 +1,4 @@
-# $NetBSD: check-headers.mk,v 1.1 2006/11/09 02:53:15 rillig Exp $
+# $NetBSD: check-headers.mk,v 1.2 2006/11/09 14:41:18 rillig Exp $
 #
 # This file checks the C and C++ header files for possible problems.
 #
@@ -33,5 +33,5 @@
        [ -d ${WRKSRC}/. ] || exit 0;                                   \
        cd ${WRKSRC};                                                   \
        env     PKGSRCDIR=${PKGSRCDIR:Q}                                \
-               SKIP_FILTER=${CHECK_HEADERS_SKIP:@p@${p}) continue;;@:Q} \
+               SKIP_FILTER=${CHECK_HEADERS_SKIP:@p@${p}) skip=yes;;@:Q} \
                sh ${PKGSRCDIR}/mk/check/check-headers.sh
diff -r 71330f76e171 -r d2db1c2c9772 mk/check/check-headers.sh
--- a/mk/check/check-headers.sh Thu Nov 09 14:36:18 2006 +0000
+++ b/mk/check/check-headers.sh Thu Nov 09 14:41:18 2006 +0000
@@ -1,4 +1,4 @@
-# $NetBSD: check-headers.sh,v 1.5 2006/11/09 10:52:21 rillig Exp $
+# $NetBSD: check-headers.sh,v 1.6 2006/11/09 14:41:18 rillig Exp $
 #
 # This program checks the header files for possible problems.
 #
@@ -21,7 +21,7 @@
 
                # Check for "${" in macro definitions.
                case "$line" in
-               "#define"*"\${"*)
+               "#define"*"\"\${"[a-z]*"}"*"\""*)
                        found_unresolved_variable=yes
                        cs_error_heading "Found unresolved variable in macro:"
                        cs_error_msg "$fname: $line"
@@ -35,7 +35,9 @@
 | {
        while read fname; do
 
-               eval "case \"\$fname\" in $SKIP_FILTER *.orig) continue;; esac"
+               skip=no
+               eval "case \"\$fname\" in $SKIP_FILTER *.orig) skip=yes;; esac"
+               [ $skip = no ] || continue
 
                case "$fname" in
                *.h | *.hpp | *.h++ | *.hxx)



Home | Main Index | Thread Index | Old Index